<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>

<body>
    <script>
        function sortBikes() {
        fetch('bicing.json')
            .then(function (response) {
                return response.json();
            })
            .then(function (dataJson) {
                console.log(dataJson);
                dataJson.stations.sort(function (a, b) { return b.bikes - a.bikes });
                let text = "<table border='1'>"
                for (const bici of dataJson.stations) {
                    if (bici.bikes > 3) {
                        text += "<tr><td>" + bici.id + "</td><td>" + bici.streetName + "</td><td>" + bici.longitude + "</td><td>" + bici.latitude + "</td><td>" + bici.slots + "</td><td>" + bici.bikes + "</td></tr>";
                    }

                }
                text += "</table>"
                document.body.innerHTML = text;

                document.querySelector("demo").innerHTML = text;
                return dataJson;
            })
            .catch(function (error) { console.log("Algo ha salido mal: " + error) })
        }

        //sortBikes();
        
        function showBikesData() {
        fetch('bicing.json')
            .then(function (response) {
                return response.json();
            })
            .then(function (dataJson) {
                console.log(dataJson);
                let text = "<table border='1'>"
                var comparador = 0;
                for (const bici of dataJson.stations) {
                    if (bici.id == 33) {
                        text += "<tr><td>" + bici.id + "</td><td>" + bici.streetName + "</td><td>" + bici.longitude + "</td><td>" + bici.latitude + "</td><td>" + bici.slots + "</td><td>" + bici.bikes + "</td></tr>";
                    }
                    //Cuantos slots tiene la estación con latitud: 41.398389 y en qué calle está.
                    if (bici.latitude == 41.398389) {
                        console.log("Tiene " + bici.slots + " slots");
                        console.log("Está en la calle " + bici.streetName);
                        text += "<tr><td>" + bici.id + "</td><td>" + bici.streetName + "</td><td>" + bici.longitude + "</td><td>" + bici.latitude + "</td><td>" + bici.slots + "</td><td>" + bici.bikes + "</td></tr>";
                    }
                    if (bici.slots > comparador) 
                    {
                        
                    }

                }
                text += "</table>"
                document.body.innerHTML = text;

                document.querySelector("demo").innerHTML = text;
                return dataJson;
            })
            .catch(function (error) { console.log("Algo ha salido mal: " + error) })
        }

        showBikesData();



    </script>
</body>

</html>